<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8" />
    <title>Presensi</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">
                                                Details
                                            </h5>
                                            <span class="h2 font-weight-bold mb-0">Presensi</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <!-- Table -->
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div th:if="${gagal != null}" class="alert alert-danger">
                                <h3 class="text-white text-center" th:text="${gagal}">Buat / Aktifkan Tahun Akademik Semester Pendek terlebih dahulu!</h3>
                            </div>
                            <div th:if="${error != null}" class="alert alert-danger">
                                <span th:text="${error}">Buat / Aktifkan Tahun Akademik Semester Pendek terlebih dahulu!</span>
                            </div>
                            <div th:if="${success != null}" class="alert alert-success">
                                <span th:text="${success}">Buat / Aktifkan Tahun Akademik Semester Pendek terlebih dahulu!</span>
                            </div>

                            <!-- Title dan Tombol -->
                            <div class="row align-items-center">
                                <div class="col-md-6 mb-3">
                                    <h3>Daftar Pertemuan</h3>
                                </div>
                                <div class="col-md-3 mb-3 text-right">
                                    <!-- Tombol Unggah -->
                                    <button th:if="${valid != null}" type="button" class="btn btn-secondary btn-sm w-100" data-toggle="modal" data-target="#modal-rps">
                                        <i class="fas fa-plus-circle"></i> Unggah Renc. Pembelajaran
                                    </button>
                                </div>
                                <div class="col-md-3 mb-3 text-right">
                                    <!-- Tombol Download -->
                                    <a th:href="@{/studiesActivity/attendance/download(jadwal = ${jadwal.id})}" class="btn btn-info btn-sm w-100">
                                        <i class="fas fa-download"></i> Unduh Rekap Kehadiran
                                    </a>
                                </div>
                            </div>

                            <!-- Modal Unggah RPS -->
                            <div class="modal fade" id="modal-rps" tabindex="-1" role="dialog" aria-labelledby="modal-form" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
                                    <div class="modal-content">
                                        <div class="modal-body p-0">
                                            <div class="card bg-secondary shadow border-0">
                                                <!-- Unduh Templat -->
                                                <div class="card-header bg-transparent pb-5">
                                                    <div class="text-muted text-center mt-2 mb-3"><small>Templat</small></div>
                                                    <div class="text-center">
                                                        <a th:href="@{/sample/rps}" class="btn btn-neutral btn-icon">
                                                            <span class="btn-inner--icon"><i class="fas fa-download"></i></span>
                                                            <span class="btn-inner--text">Unduh templat</span>
                                                        </a>
                                                    </div>
                                                </div>
                                                <!-- Unggah File -->
                                                <div class="card-header bg-transparent pb-5">
                                                    <div class="text-muted text-center mt-2 mb-3"><small>Unggah</small></div>
                                                    <div class="text-center">
                                                        <form method="post" th:action="@{/studiesActivity/attendance/rps/upload}" enctype="multipart/form-data">
                                                            <input type="hidden" name="jadwal" th:value="${jadwal.id}" />
                                                            <div class="form-group">
                                                                <input type="file" name="file" class="form-control" id="rencPembelajaran" required />
                                                            </div>
                                                            <div class="form-group">
                                                                <button class="btn btn-success" type="submit">
                                                                    <i class="fas fa-save"></i> Unggah
                                                                </button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- Detail Jadwal -->
                            <div class="row border-bottom border-top pt-3 pb-3 mt-2 bg-light rounded shadow">
                                <!-- Info Matakuliah -->
                                <div class="col-md-6 border-right mb-2">
                                    <div class="row mb-2">
                                        <div class="col-md-12">
                                            <i class="fa fa-archive text-warning"></i>
                                            <b class="h5 text-indigo">Matakuliah :</b>
                                            <b class="h5" th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">Intership</b>
                                            <span class="badge badge-warning" th:text="${jadwal.matakuliahKurikulum.jumlahSks + ' SKS'}">3 SKS</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-md-12">
                                            <i class="fa fa-box text-warning"></i>
                                            <b class="h5 text-indigo">Kelas :</b>
                                            <b class="h5" th:text="${jadwal.kelas.namaKelas}">MUA-15</b>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <i class="fa fa-calendar text-warning"></i>
                                            <b class="h5 text-indigo">Jadwal :</b>
                                            <b class="h5" th:text="${jadwal.hari.namaHari +', ' + jadwal.jamMulai + ' - ' + jadwal.jamSelesai}">
                                                Sunday, 15:31:00 - 18:00:00
                                            </b>
                                        </div>
                                    </div>
                                </div>

                                <!-- Info Dosen -->
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <i class="fa fa-star text-warning"></i>
                                            <b class="h5 text-indigo">Dosen :</b>
                                            <div th:each="dataTeam,row : ${teamTeaching}">
                                                <b class="h5" th:text="${dataTeam.dosen.karyawan.namaKaryawan}">MUA-15</b>
                                                <b class="h5 text-primary" th:text="${'('+#strings.toLowerCase(dataTeam.statusJadwalDosen)} + ')'">MUA-15</b>
                                            </div>
<!--                                            <b class="h5" th:text="${jadwal.dosen.karyawan.namaKaryawan}">MUA-15</b>-->
                                        </div>
<!--                                        <div class="col-md-12" th:each="dataTeam,row : ${teamTeaching}">-->
<!--                                            <b class="h5" th:text="${dataTeam.dosen.karyawan.namaKaryawan}">MUA-15</b>-->
<!--                                        </div>-->
                                    </div>
                                </div>
                            </div>

                            <!-- Alert Jika Tidak Ada Data -->
                            <div class="row">
                                <div class="table-responsive" th:if="${#lists.isEmpty(detail)}">
                                    <table class="table align-items-center table-flush">
                                        <thead>
                                        <tr class="text-center">
                                            <th>
                                                <div class="alert alert-danger">
                                                    <span>Harap generate presensi terlebih dahulu.</span>
                                                </div>
                                            </th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="row border mb-3 pt-3 pb-2 shadow-sm small rounded" th:each="data,row : ${detail}">
                                <div class="col-md-12">
                                    <div th:if="${duplicateLink != null}">
                                        <div th:if="${pertemuanId == data.sesi}">
                                            <div class="alert alert-danger">
                                                <span th:text="${duplicateLink}"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 mb-3">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <i class="fa fa-calendar-times text-warning"></i> <span class="text-blue font-weight-bold" th:text="${'Pertemuan '+ data.pertemuanke}"></span>
                                                    <span>, </span>
                                                    <span class="text-dark font-weight-bold"  th:text="${#temporals.format(data.sesiMulai, 'EEEE, dd MMMM yyyy', 'id')}"></span>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <i class="fa fa-clock text-warning"></i>
                                                    <span class="text-dark"> Waktu terjadwal pukul :</span>
                                                    <span class="font-weight-bold text-primary" th:text="${#temporals.format(data.sesiMulai, 'HH:mm') + ' s/d ' + #temporals.format(data.sesiSelesai, 'HH:mm') + ' WIB,'}"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <div class="row">
                                                <div class="col-md-12 text-right">
                                                    <span th:if="${data.pertemuan != 'Belum Mengajar'}" class="text-dark">Realisasi pada : </span>
                                                    <span th:if="${data.pertemuan != 'Belum Mengajar'}" class="text-green" th:text="${#temporals.format(data.masuk, 'dd MMMM yyyy HH:mm') + ' WIB,'}"></span>
                                                    <span class="badge badge-warning" th:text="${data.pertemuan}">New</span></h6>
                                                </div>
                                            </div>
                                            <div class="row" th:if="${data.pertemuan != 'Belum Mengajar'}">
                                                <div class="col-md-12 text-right" th:if="${data.pertemuan != 'Belum Mengajar'}">
                                                    <i class="fa fa-stamp text-green"></i>
                                                    <span class="text-dark"> Pemateri :</span>
                                                    <span class="font-weight-bold text-primary" th:text="${data.dosen}">New</span></h6>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3 mb-3 border-right">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <i class="fa fa-star text-yellow"></i>
                                                    <span class="text-dark font-weight-bold">Link Materi : </span>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div th:if="${data.link != null}" class="col-md-12" th:each="link, row:${#strings.arraySplit(data.link, ',')}">

                                                    <a th:href="${link}" class="d-inline-block text-truncate w-100" target="_blank">
                                                        <i class="fa fa-link fa-sm"></i> <span th:text="${link}"></span>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-3 border-right">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <i class="fa fa-sticky-note text-yellow"></i>
                                                    <span class="text-dark font-weight-bold">Berita Acara Perkuliahan : </span>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12" >
                                                    <div id="berita-content" class="text-truncate-clamp" th:utext="${data.berita}" >
                                                        <!-- This is where your dynamic content will be placed -->
                                                    </div>
<!--                                                    <a href="javascript:void(0);" id="toggle-button" onclick="toggleText()">See More</a>-->

                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-3 mb-3 border-right">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <i class="fa fa-archive text-yellow"></i>
                                                    <span class="text-dark font-weight-bold">List Tugas : </span>
                                                </div>
                                            </div>
                                            <div class="row" th:each="dataTugas,row : ${jadwalTugas}">
                                                <div class="col-md-12" th:if="${data.sesi == dataTugas.sesiKuliah.id}">
                                                    <a class="d-inline-block text-truncate w-100" th:if="${data.sesi == dataTugas.sesiKuliah.id}" th:href="@{/studiesActivity/assesment/collection(jadwalTugas=${dataTugas.id})}" title="Klik untuk penilaian tugas">
                                                        <i class="fa fa-arrow-right" th:if="${data.sesi == dataTugas.sesiKuliah.id}"></i> <span th:text="${dataTugas.namaTugas}"></span>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 mb-3">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <i class="fa fa-camera text-yellow"></i>
                                                    <span class="text-dark font-weight-bold">Dokumentasi : </span>
                                                </div>
                                            </div>
                                            <div class="row" th:each="dataFoto,row : ${sesiKuliahFoto}">
                                                <div class="col-md-12" th:if="${data.sesi == dataFoto.sesiKuliah.id}">
                                                        <a class="d-inline-block text-truncate w-75" th:if="${data.sesi == dataFoto.sesiKuliah.id}" th:href="@{/studiesActivity/{sesiKuliahFoto}/fotoKuliah/(sesiKuliahFoto=${dataFoto.id})}" title="Lihat" target="_blank">
                                                            <i class="fa fa-image" th:if="${data.sesi == dataFoto.sesiKuliah.id}"></i>
                                                            <span th:text="${dataFoto.getNamaFile()}"></span>
                                                        </a>
                                                        &nbsp;
                                                        <a
                                                                onclick="return confirm('Apakah anda yakin untuk menghapus dokumen ini? ')"
                                                                th:href="@{/studiesActivity/attendance/hapusfoto(sesiKuliahFoto=${dataFoto.getId()})}"
                                                                th:if="${data.sesi == dataFoto.sesiKuliah.id}"
                                                                class="fa fa-trash mt-0"
                                                                title="Hapus"
                                                                style="color: #bb2d3b"
                                                        ></a>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div th:if="${gagal != null}" class="col-md-12">
                                            <div class="alert alert-danger">
                                                <h3 class="text-white text-center" th:text="${gagal}">Buat / Aktifkan Tahun Akademik Semester Pendek terlebih dahulu!</h3>
                                            </div>
                                        </div>
                                        <div th:if="${gagal == null}" class="col-md-3 mb-2">
                                            <button data-toggle="modal" th:id="${data.sesi}" th:attr="data-link=${data.link}" onclick="openModalMateri(this.id, this.getAttribute('data-link'))" data-target="#modal-materi" class="btn btn-outline-primary border-primary btn-sm col-md-5"  aria-haspopup="true" aria-expanded="false">
                                                <i class="fa fa-plus"></i>
                                                Materi
                                            </button>
                                        </div>
                                        <div th:if="${gagal == null}" class="col-md-4 mb-2">
                                            <b class="text-danger mb-1" th:if="${(data.pertemuan != 'Belum Mengajar' && data.link == null)}">
                                                Input link materi terlebih dahulu untuk mengakses Absensi <br>
                                            </b>
                                            <b class="text-danger mb-1" th:if="${(data.tanggal == date && data.pertemuan == 'Belum Mengajar' && data.link == null)}">
                                                Input link materi terlebih dahulu sebelum mulai mengajar <br>
                                            </b>
                                            <b class="text-danger" th:if="${(date == data.tanggal && data.pertemuan == 'Belum Mengajar' && validasiMateri >= 1) or (data.pertemuan == 'Belum Mengajar' && validasiMateri >= 1)}">
                                                Input link materi pada pertemuan sebelumnya terlebih dahulu
                                            </b>
                                            <a th:href="@{/studiesActivity/attendance/mulai (id = ${data.sesi})}"
                                               th:if="${data.pertemuan == 'Belum Mengajar' && gagal == null && date == data.tanggal && data.link != null && validasiMateri < 1}"
                                               class="btn btn-outline-primary border-primary btn-sm col-md-5"
                                               aria-haspopup="true"
                                               aria-expanded="false">
                                                <i class="fas fa-play"></i>
                                                Mulai Mengajar</a>
                                            <button
                                                    th:if="${data.pertemuan == 'Belum Mengajar' && gagal == null && date != data.tanggal && validasiMateri < 1}"
                                                    th:id="${'edit-' + data.idPresensi}"
                                                    class="btn btn-outline-primary border-primary btn-sm col-md-5"
                                                    aria-haspopup="true" onclick="openModalPresensi(this.id)"
                                                    aria-expanded="false">
                                                <i class="fas fa-clock"></i>
                                                Ubah Sesi</button>
                                            <button
                                                    type="button"
                                                    th:if="${data.pertemuan != 'Belum Mengajar' && gagal == null && data.link != null}"
                                                    class="btn btn-outline-primary border-primary btn-sm dropdown-toggle col-md-5"
                                                    data-toggle="dropdown"
                                                    aria-haspopup="true"
                                                    aria-expanded="false"
                                            >
                                                <i class="fas fa-cog"></i>
                                                Absensi
                                            </button>
                                            <div class="dropdown-menu">
                                                <a
                                                        th:href="@{/studiesActivity/attendance/mahasiswa (id = ${data.sesi})}"
                                                        class="dropdown-item"
                                                >Kehadiran Mahasiswa</a>
                                                <a th:href="@{/studiesActivity/attendance/barcode (id = ${data.idPresensi})}"
                                                   class="dropdown-item">
                                                    Barcode</a>
                                                <a th:href="@{/studiesActivity/attendance/form (id = ${data.sesi})}"
                                                   class="dropdown-item">Sunting Topik</a>
                                            </div>
                                            <div class="modal fade"
                                                 th:id="${'modal-notification'+data.sesi}"
                                                 tabindex="-1"
                                                 role="dialog"
                                                 aria-labelledby="modal-notification"
                                                 aria-hidden="true">
                                                <div class="modal-dialog modal-danger modal-dialog-centered modal-"
                                                     role="document">
                                                    <div class="modal-content bg-gradient-danger">
                                                        <div class="modal-header">
                                                            <h6 class="modal-title" id="modal-title-notification">Dibutuhkan perhatian anda
                                                            </h6>
                                                            <button
                                                                    type="button"
                                                                    class="close"
                                                                    data-dismiss="modal"
                                                                    aria-label="Close"><span aria-hidden="true">×</span>
                                                                    </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="py-3 text-center">
                                                                <i class="far fa-trash-alt fa-3x"></i>
                                                                <h4 class="heading mt-4">Apakah anda yakin ?</h4>
                                                                <p>Setelah dihapus, Anda tidak akan bisa memulihkan file imajiner ini!</p>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <form th:action="@{/studiesActivity/attendance/delete (id = ${data.sesi})}" method="post">
                                                                <button type="submit" class="btn btn-white">Hapus n=str.slice(5);</button>
                                                                    </form>
                                                            <button
                                                                    type="button"
                                                                    class="btn btn-link text-white ml-auto"
                                                                    data-dismiss="modal"
                                                            >
                                                                Keluar
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div th:if="${gagal == null}" class="col-md-3 mb-2">
                                            <a th:href="@{/studiesActivity/assesment/weight (jadwal = ${jadwal.id})}" class="btn btn-outline-primary border-primary btn-sm col-md-5 mx-auto" aria-haspopup="true" aria-expanded="false">
                                                <i class="fa fa-plus"></i>
                                                Tugas
                                            </a>
                                        </div>
                                        <div th:if="${gagal == null}" class="col-md-2 mb-2">
<!--                                            <a th:href="@{/studiesActivity/attendance/weight (jadwal = ${jadwal.id})}" class="btn btn-outline-primary border-primary btn-sm col-md-5 mx-auto" aria-haspopup="true" aria-expanded="false">-->
<!--                                                <i class="fas fa-camera"></i>-->
<!--                                                Foto-->
<!--                                            </a>-->

                                            <form
                                                    id="form4"
                                                    th:action="@{/studiesActivity/attendance/tambahfoto(sesiKuliah=${data.sesi})}"
                                                    method="post"
                                                    enctype="multipart/form-data"
                                            >
                                                <label class="btn btn-outline-primary border-primary btn-sm col-md-9 mx-auto">
                                                    <i class="fa fa-plus"></i>Foto
                                                    <input
                                                            type="file"
                                                            name="fotoKuliah"
                                                            accept="application/pdf,image/jpeg,image/png"
                                                            onchange="validateSize(this, 4)"
                                                            hidden
                                                    />
                                                </label>
                                            </form>


                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<!--          </div>-->
<!--        </div>-->
        <!-- Dark table -->

            <!-- Modal "Tunggu Sebentar" -->
            <div class="modal fade" id="loadingModal" tabindex="-1" role="dialog" aria-labelledby="loadingModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-body text-center">
                            <div class="spinner-border text-primary" role="status">
                                <span class="sr-only">Loading...</span>
                            </div>
                            <h5 class="mt-3">Tunggu sebentar, file sedang diunggah...</h5>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Modal "File Berhasil Diunggah" -->
            <div class="modal fade bg-success" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-body text-center">
                            <div class="text-success">
                                <i class="fas fa-check-circle fa-3x"></i>
                            </div>
                            <h5 class="mt-3">File telah berhasil diunggah!</h5>
                        </div>
                    </div>
                </div>
            </div>

        <div class="modal fade" id="modal-materi" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <form id="add-materi" method="post" th:action="@{/studiesActivity/attendance/materi/upload}">
                    <input type="hidden" name="idSesi" id="idSesi">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Input materi</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="form-group">
                                        <label>Salin dan tempel link materi disini :</label>
                                        <!-- Textarea for input link -->
                                        <textarea cols="10" rows="3" name="materi" class="form-control" id="link" required minlength="10" oninput="updateLink()"></textarea>
                                        <p style="font-size: 15px; color: red;"><b>* Jika lebih dari 1 link, pisahkan dengan ',(koma)' dan pastikan link bisa di akses secara umum.</b></p>
                                        <p style="font-size: 15px; color: red;"><b>* Pastikan yang di tempel berupa link, jika tidak tombol simpan tidak bisa di klik.</b></p>
                                        <!-- Link display for dynamic link -->
                                        <a class="text-body" id="dynamicLink" href="#" target="_blank"></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                            <button type="submit" id="btnMateri" class="btn btn-primary" disabled>Simpan</button> <!-- Initially disabled -->
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="modal fade" id="exampleModal" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered" role="document">
            <form id="edit-sesi" th:action="@{/studiesActivity/attendance/edit-sesi}" th:object="${jadwal}" method="post">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    Edit Sesi Kuliah
                  </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                  <div class="modal-body">
                      <div class="row">
                          <div class="col-md-12">
                              <div class="form-group">
                                  <label>Tanggal :</label>
                                  <input type="date" id="inputdate" name="tanggal" required class="form-control"/>
                                  <input type="hidden" name="id" id="idPresensi">
                              </div>
                          </div>
                      </div>
                      <div class="row">
                          <div class="col-md-6">
                              <div class="form-group">
                                  <label>Waktu Masuk :</label>
                                  <input type="text" required autocomplete="off" id="waktuMasuk"
                                         placeholder="09:30:00" name="waktuMulai" class="time-picker form-control">
                              </div>
                          </div>
                          <div class="col-md-6">
                              <div class="form-group">
                                  <label>Waktu Keluar :</label>
                                  <input type="text" required autocomplete="off" id="waktuKeluar"
                                         placeholder="09:30:00" name="waktuSelesai" class="time-picker form-control">
                              </div>
                          </div>
                      </div>
                  </div>
                <div class="modal-footer">
                  <button type="button" onclick="closeModalPresensi()" class="btn btn-secondary">
                    Tutup
                  </button>
                  <button type="submit" id="btnPresensi" onclick="savePresensi()" class="btn btn-primary">
                    Simpan
                  </button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>

<script>
    function validateSize(input, n) {
        const fileSize = input.files[0].size / 1024; // in KB
        let form;
        if (n == 1) {
            form = document.getElementById("form1");
        } else if (n == 2) {
            form = document.getElementById("form2");
        } else if (n == 3) {
            form = document.getElementById("form3");
        } else {
            form = document.getElementById("form4");
        }

        if (fileSize > 1000) {
            event.target.value = ""; // Reset file input
            alert("Ukuran file melebihi 1 Mb");
        } else {
            // Tampilkan modal "Tunggu Sebentar"
            $('#loadingModal').modal('show');

            // Submit form setelah sedikit penundaan
            setTimeout(() => {
                input.form.submit();
            }, 500); // Penundaan 0.5 detik
        }
    }

    // Menampilkan modal keberhasilan setelah form disubmit
    $(document).ready(function () {
        // Ketika form berhasil disubmit
        $('#form4').on('submit', function (e) {
            e.preventDefault(); // Prevent default form submission

            // Simulate file upload with timeout (replace this with actual form submission if necessary)
            setTimeout(function () {
                // Sembunyikan modal "Tunggu Sebentar"
                $('#loadingModal').modal('hide');

                // Tampilkan modal "Berhasil"
                $('#successModal').modal('show');

                // Sembunyikan modal "Berhasil" setelah 1 detik
                setTimeout(function () {
                    $('#successModal').modal('hide');
                }, 1000);

            }, 2000); // Simulasi penundaan upload selama 2 detik
        });
    });
</script>

<script>
    function updateLink() {
        var input = document.getElementById('link').value;
        var dynamicLink = document.getElementById('dynamicLink');
        var btnMateri = document.getElementById('btnMateri'); // Button reference

        // Split input into multiple links (separated by commas)
        var links = input.split(',');
        var allValid = true; // Flag to check if all links are valid

        // Simple URL validation using regex
        var urlPattern = /^(https?:\/\/)?([\w-]+(\.[\w-]+)+)([\w.,@?^=%&:\/~+#-]*[\w@?^=%&\/~+#-])?$/;

        // Loop through each link and validate
        for (var i = 0; i < links.length; i++) {
            var currentLink = links[i].trim(); // Trim whitespace
            if (!urlPattern.test(currentLink)) {
                allValid = false; // Set flag to false if any link is invalid
                break; // Exit loop if invalid link is found
            }
        }

        if (allValid && links.length > 0) {
            // Set first valid link for the dynamic link
            dynamicLink.href = links[0].trim().startsWith('http') ? links[0].trim() : 'https://' + links[0].trim();
            btnMateri.disabled = false; // Enable "Simpan" button if all links are valid
        } else {
            // alert("Input salah satu link tidak valid. Harap masukkan semua link dengan benar.");
            dynamicLink.href = '#'; // Disable link
            btnMateri.disabled = true; // Disable "Simpan" button
        }
    }
</script>

<script>

    function openModalMateri(id, link){
        $('#idSesi').val(id);
        $('#link').val(link);
        $("#modal-materi").modal({
            show: true,
        });
    }

    var dtToday = new Date();

    var month = dtToday.getMonth() + 1;
    var day = dtToday.getDate();
    var year = dtToday.getFullYear();
    if(month < 10) month='0' + month.toString(); if(day < 10) day='0' + day.toString(); var maxDate=year + '-' + month
        + '-' + day; $('#inputdate').attr('min', maxDate);


  function openModalPresensi(id) {
    $('#idPresensi').val(id.slice(5))
    $("#exampleModal").modal({
      show: true,
    });

  }

  function closeModalPresensi(){
    document.getElementById("edit-sesi").reset();
    $('#idPresensi').val()

    $('#exampleModal').modal('hide');

  }



    function formatTanggal(date) {
    var date = new Date(date);
    var tahun = date.getFullYear();
    var bulan = date.getMonth();
    var tanggal = date.getDate();
    var hari = date.getDay();
    var jam = date.getHours();
    var menit = date.getMinutes();
    var detik = date.getSeconds();
    switch (hari) {
      case 0:
        hari = "Minggu";
        break;
      case 1:
        hari = "Senin";
        break;
      case 2:
        hari = "Selasa";
        break;
      case 3:
        hari = "Rabu";
        break;
      case 4:
        hari = "Kamis";
        break;
      case 5:
        hari = "Jum'at";
        break;
      case 6:
        hari = "Sabtu";
        break;
    }
    switch (bulan) {
      case 0:
        bulan = "Januari";
        break;
      case 1:
        bulan = "Februari";
        break;
      case 2:
        bulan = "Maret";
        break;
      case 3:
        bulan = "April";
        break;
      case 4:
        bulan = "Mei";
        break;
      case 5:
        bulan = "Juni";
        break;
      case 6:
        bulan = "Juli";
        break;
      case 7:
        bulan = "Agustus";
        break;
      case 8:
        bulan = "September";
        break;
      case 9:
        bulan = "Oktober";
        break;
      case 10:
        bulan = "November";
        break;
      case 11:
        bulan = "Desember";
        break;
    }

    var tampilTanggal =
      "Tanggal: " + hari + ", " + tanggal + " " + bulan + " " + tahun;
    return tampilTanggal;
  }

  $(".datepicker").datepicker({
    format: "mm/dd/yyyy",
    startDate: "-3d",
  });

    function savePresensi(event) {
        event.preventDefault();

        var form = document.getElementById('edit-sesi');

        // Cek validitas form
        if (!form.checkValidity()) {
            form.classList.add('was-validated');

            var inputDate = document.getElementById('inputdate');
            if (!inputDate.value) {
                inputDate.focus();
                inputDate.click();
            }
            return;
        } else {
            var waktuMasuk = document.getElementById('waktuMasuk').value;
            var waktuKeluar = document.getElementById('waktuKeluar').value;
            if (waktuMasuk >= waktuKeluar){
                alert('Waktu masuk tidak boleh lebih besar atau sama dengan waktu keluar');
                return false;
            }
            $("#btnPresensi").removeClass("btn-primary").addClass("btn-warning").prop("disabled", true).html("Loading...");
            form.submit();
        }
    }
    document.getElementById('btnPresensi').addEventListener('click', savePresensi);


    function saveMateri(){
      $("#btnMateri").removeClass("btn-primary");
      $("#btnMateri").addClass("btn-warning");
      $("#btnMateri").prop("disabled", true);
      $("#btnMateri").html("Loading...");

      $("#add-materi").submit();
  }
</script>